<template>
  <div class="common-type survey-numeric">
    {{ formatNum(dataNum) }}
    <span class="unit">products</span>
  </div>
</template>

<script>
export default {
  name: "Numeric",
  props: {
    dataNum: { type: Number, default: 0 },
  },
  methods: {
    formatNum(num) {
      if (!num) return 0;
      return Math.round(num * 10) / 10;
    },
  },
};
</script>

<style lang="scss" scoped>
.survey-numeric {
  display: flex;
  align-items: center;
  font-size: 22px;
  padding-top: 5px;
  .unit {
    font-size: 14px;
    padding-left: 10px;
  }
}
</style>
